%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45

Name: kimon
Summary: Kimon - ISDN monitor for the KDE Desktop Environment
Version: 1.1
Release: 8
Source: http://www.informatik.uni-bremen.de/~dahlweid/kimon.html/%{name}-%{version}.tar.gz
Url: http://www.informatik.uni-bremen.de/~dahlweid/kimon.html
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
Copyright: GPL
Requires: isdn4k-utils, kdelibs
BuildPrereq: kdelibs-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
ExcludeArch: ia64
Prefix: %{kdeprefix}

%description
Kimon is a ISDN-Monitor for the KDE Desktop Environment.
This program opens a small window in the taskbar showing
the status of two ISDN-channels.

%prep
%setup -q

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir} MOC=%{qtdir}/bin/moc
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT


make -j $CPUS CXX="${CXX}" CC="${CC}" \
     CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
     install_root=/

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

%files -f file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++

* Sun Jul 02 2000 Karsten Hopp <karsten@redhat.de>
- changed prefix
- added bindir

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- add requires isdn4k-utils

* Thu Jan 27 2000 Tim Powers <timp@redhat.com>
- was in a bad group, fixed.
- fixed build prob. with sparc

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- Initial packaging as RPM for powertools-6.2
